<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:php="http://php.net/xsl"
  version="1.0">
<xsl:output method="html" encoding="UTF-8"/>

<xsl:template match="viewer">
	<html>
		<head>
			<title>SageTV Plugin Repository</title>
			<link type="text/css" rel="stylesheet" href="PluginViewer.css"/>
		</head>
		<body>
			<xsl:apply-templates select="document('http://download.sage.tv/SageTVPlugins.xml')"/>
		</body>
	</html>
</xsl:template>

<xsl:template match="PluginRepository">
	<table cellspacing="0" cellpadding="0">
		<tr>
			<th>
				<p class="ColumnHead">Plugin Name</p>
			</th>
			<th>
				<p class="ColumnHead">Author</p>
			</th>
			<th>
				<p class="ColumnHead">Type</p>
			</th>
			<th>
				<p class="ColumnHead">Version</p>
			</th>
			<th>
				<p class="ColumnHead">Release Date</p>
			</th>
		</tr>
		
		<xsl:apply-templates select="SageTVPlugin">
			<xsl:sort select="Name" data-type="text"/>
		</xsl:apply-templates>
		
	</table>
</xsl:template>

<xsl:template match="SageTVPlugin">
	<tr>
		<td>
			<p><xsl:value-of select="Name"/></p>
		</td>
		<td>
			<p><xsl:value-of select="Author"/></p>
		</td>
		<td>
			<p><xsl:value-of select="PluginType"/></p>
		</td>
		<td>
			<p><xsl:value-of select="Version"/></p>
		</td>
		<td>
			<p><xsl:value-of select="ModificationDate"/></p>
		</td>
	</tr>
</xsl:template>


</xsl:stylesheet>
